For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
      • GETGet the line items of a payable
      • POSTAdd a line item to a payable
      • PUTReplaces the lines items in a payable
      • GETGet a single line item of a payable
      • DELDelete a line item from a payable
      • PATCHUpdate a line item in a payable
  • Accounts receivable
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts payablePayable line items

Replaces the lines items in a payable

PUT
/payables/:payable_id/line_items
PUT
/v1/payables/:payable_id/line_items
$curl -X PUT https://api.sandbox.monite.com/v1/payables/payable_id/line_items \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": [
> {}
> ]
>}'
1{
2 "data": [
3 {
4 "id": "id",
5 "payable_id": "payable_id",
6 "accounting_tax_rate_id": "dd13735f-ef3a-4312-8c37-835d70341375",
7 "description": "description",
8 "ledger_account_id": "7df884fd-8be8-4eba-b6ff-417b66efe033",
9 "name": "name",
10 "ocr_set_quantity_to_one": false,
11 "quantity": 1.22,
12 "subtotal": 1250,
13 "tax": 2000,
14 "tax_amount": 250,
15 "total": 1200,
16 "unit": "meter",
17 "unit_price": 1500,
18 "was_created_by_user_id": "ea837e28-509b-4b6a-a600-d54b6aa0b1f5"
19 }
20 ]
21}
Replaces the information of all line items of a specific payable. Related guide: [Replace all line items](https://docs.monite.com/accounts-payable/payables/line-items#replace-all-line-items) See also: [Manage line items](https://docs.monite.com/accounts-payable/payables/line-items) [Collect payables](https://docs.monite.com/accounts-payable/payables/collect)
Was this page helpful?
Previous

Get a single line item of a payable

Next
Built with

Replaces the information of all line items of a specific payable.

Related guide: Replace all line items

See also:

Manage line items

Collect payables

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

payable_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
datalist of objectsRequired

Response

Successful Response
datalist of objects

Errors

400
Put Payables ID Line Items Request Bad Request Error
401
Put Payables ID Line Items Request Unauthorized Error
403
Put Payables ID Line Items Request Forbidden Error
404
Put Payables ID Line Items Request Not Found Error
406
Put Payables ID Line Items Request Not Acceptable Error
409
Put Payables ID Line Items Request Conflict Error
422
Put Payables ID Line Items Request Unprocessable Entity Error
500
Put Payables ID Line Items Request Internal Server Error